Skip to main content
PUT
Update Beam Config Handler
Replaces an existing pipeline configuration. Send the full config: optional fields you omit reset to their defaults. Changes take effect on the next deploy.
Required permission: edit — owners and editors.
Path parameters: Request body: UpdateBeamConfigRequest
Response: BeamConfig
Redeploy to apply your changes. Redeploying is idempotent and causes no downtime.

Authorizations

X-API-KEY
string
header
required

Path Parameters

config_id
string
required

Body

application/json
name
string
required
description
string
required
pipeline_config
BeamPipelineConfig · object
required
tags
string[] | null
static_egress_ip
boolean
default:false
pod_size
enum<string>
default:XS
Available options:
XXS,
XS,
S,
M,
L,
XL
delivery_guarantee
enum<string>
default:at_least_once
Available options:
at_least_once,
best_effort

Response

Successful Response

id
string
required
name
string
required
description
string
required
owner_org_team_user_id
string
required
pipeline_config
BeamPipelineConfig · object
required
organization_id
string | null
created_at
string<date-time>
updated_at
string<date-time>
tags
string[] | null
static_egress_ip
boolean
default:false
pod_size
enum<string>
default:XS
Available options:
XXS,
XS,
S,
M,
L,
XL
delivery_guarantee
enum<string>
default:at_least_once
Available options:
at_least_once,
best_effort